# Interface IElementProvider

All Known Implementing Classes:
  `EclipsePreferencesProvider, RegistryCSSElementProvider, SWTElementProvider, SWTHTMLElementProvider, ThemeElementDefinitionProvider`

public interface IElementProvider
Element provider to retrieve w3c `Element` which wrap the native widget (SWT Control, Swing JComponent...).

## Method Summary

Modifier and Type
Method
Description
`Element`
`getElement(Object element, CSSEngine engine)`
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent).

## Method Details

### getElement

Element getElement(Object element, CSSEngine engine)
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent). The `element` can be the w3c Element. The provider should check that the supplied widgets/objects are compatible with the provided CSS Engine.